open Json_encoding
open Types

[%%post {name="best"; input=input0_enc; output=output_enc string}]
[%%post {name="block0"; input=input1_enc string; output=output_enc string}]
[%%post {name="block"; input=input1_enc string; output=output_enc (block_enc string)}]
[%%post {name="block2"; input=input1_enc string; output=output_enc (block_enc txn_enc)}]
[%%post {name="info"; input=input0_enc; output=output_enc info_enc}]
[%%post {name="count"; input=input0_enc; output=output_enc int}]
[%%post {name="hash"; input=input1_enc int; output=output_enc string}]
[%%post {name="header0"; input=input1_enc string; output=output_enc string}]
[%%post {name="header"; input=input1_enc string; output=output_enc header_enc}]
[%%post {name="difficulty"; input=input0_enc; output=output_enc float}]
[%%post {name="chaintips"; input=input0_enc; output=output_enc (list tip_enc)}]
[%%post {name="rawtransaction"; input=input1_enc string; output=output_enc string}]
[%%post {name="transaction"; input=input1_enc string; output=output_enc txn_enc}]
[%%post {name="filter"; input=input1_enc string; output=output_enc filter_enc}]
[%%post {name="blockstats"; input=input1_enc hash_or_height_enc; output=output_enc stats_enc}]
[%%post {name="txstats"; input=input0_enc; output=output_enc txstats_enc}]
[%%post {name="txout"; input=input2_enc string int; output=output_enc txout0_enc}]
[%%post {name="txout_proof"; input=input1_enc (list string); output=output_enc string}]
[%%post {name="txout_setinfo"; input=input0_enc; output=output_enc txout_stat_enc}]
[%%post {name="precious"; input=input1_enc string; output=output_enc null}]
[%%post {name="prune"; input=input1_enc int; output=output_enc int}]
[%%post {name="save_mempool"; input=input0_enc; output=output_enc null}]
[%%post {name="verify_chain"; input=input0_enc; output=output_enc bool}]
[%%post {name="verify_txout"; input=input1_enc string; output=output_enc (list string)}]
[%%post {name="memory_info_stats"; input=input0_enc; output=output_enc memory_info_enc}]
[%%post {name="memory_info_malloc"; input=input0_enc; output=output_enc string}]
[%%post {name="rpc_info"; input=input0_enc; output=output_enc rpc_info_enc}]
[%%post {name="help"; input=input0_enc; output=output_enc string}]
[%%post {name="stop"; input=input0_enc; output=output_enc string}]
[%%post {name="uptime"; input=input0_enc; output=output_enc int53}]
[%%post {name="ping"; input=input0_enc; output=output_enc null}]
